<?php
/**
* 2007-2022
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License 3.0 (AFL-3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* https://opensource.org/licenses/AFL-3.0
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* @author PrestaShop SA <contact@prestashop.com>
* @copyright 2007-2022 PrestaShop AS
* @license https://opensource.org/licenses/AFL-3.0 Academic Free License 3.0 (AFL-3.0)
* International Registered Trademark & Property of PrestaShop SA
*/ 
if(!defined('_PS_VERSION_')) {
    exit;
}
class AddifyGoogleSheetsConnectorClass extends ObjectModel
{
	public $sheets_id;
  public $User_active_mode;
  public $agsc_title;
  public $agsc_priority;
  public $agsc_link;
  public $agsc_name;
  public $addifyGoogleSheetsConnector_select_field;
  public $agsc_add_date;
  public $agsc_update_date;

  public static $definition = array(
          'table' => 'addifygooglesheetsconnectortb',
          'primary' => 'sheets_id',
          'multilang' => false,
          'fields' => array(
              'sheets_id' => array('type' => self::TYPE_HTML),
              'User_active_mode' => array('type' => self::TYPE_BOOL),
              'agsc_title' => array('type' => self::TYPE_HTML),
              'agsc_priority' => array('type' => self::TYPE_HTML),
              'agsc_link' => array('type' => self::TYPE_HTML),
              'agsc_name' => array('type' => self::TYPE_HTML),
              'addifyGoogleSheetsConnector_select_field' => array('type' => self::TYPE_HTML),
              'agsc_add_date' => array('type' => self::TYPE_DATE, 'validate' => 'isDateFormat'),
              'agsc_update_date' => array('type' => self::TYPE_DATE, 'validate' => 'isDateFormat'),  
          ) 
  );

	public static function getListContent() 
  {
    return DB::getInstance()->executes(
    'SELECT * FROM `' ._DB_PREFIX_. 'addifygooglesheetsconnectortb`');
	}

  public static function agscGetOrdersTbDataForAppendSpecificValues() 
  {
    return Db::getInstance()->executeS(
    'SELECT * FROM `'._DB_PREFIX_. 'orders` '); 
  }

  public static function agscGetRuleAddData() 
  {
    return DB::getInstance()->executes( 
    'SELECT * FROM `' ._DB_PREFIX_. 'addifygooglesheetsconnectortb` WHERE User_active_mode = 1 order by sheets_id desc LIMIT 1');
  }

  public static function agscGetRuleUpdateData($sheets_id) 
  {
    return DB::getInstance()->executes(
    'SELECT * FROM `' ._DB_PREFIX_. 'addifygooglesheetsconnectortb` WHERE User_active_mode = 1 AND `sheets_id` = '.(int)$sheets_id);
  }

  public static function agscGetRule() 
  {
    return DB::getInstance()->executes( 
    'SELECT * FROM `' ._DB_PREFIX_. 'addifygooglesheetsconnectortb` WHERE User_active_mode = 1');
  }

  public static function agscGetOrdersAll() 
  {
    return Db::getInstance()->executeS(
    'SELECT * FROM `'._DB_PREFIX_. 'orders`'); 
  }

  public static function agscStatusUpdate($User_active_mode,$sheets_id)
  {
    if (!$sheets_id || empty($User_active_mode)) {
      return false;
    }
    return (bool)Db::getInstance()->execute('UPDATE '._DB_PREFIX_.self::$definition['table'].'
      SET `'.pSQL($User_active_mode).'` = !'.pSQL($User_active_mode).'
      WHERE sheets_id = '.(int)$sheets_id);
  }

  public static function agscGetOrdersDataFront() 
  {
    return Db::getInstance()->executeS(
    'SELECT * FROM `'._DB_PREFIX_. 'orders` order by id_order desc LIMIT 1'); 
  }

  public static function agscGetOrdersDataBack() 
  {
    return Db::getInstance()->executeS(
    'SELECT * FROM `'._DB_PREFIX_. 'orders` order by id_order desc LIMIT 1'); 
  }

  public static function agscGetOrdersDataBackOrderStatusUpdate($orderId, $current_order_refrence_number) 
  {
    $matchingRows = array();
    $result = Db::getInstance()->executeS('SELECT * FROM `'._DB_PREFIX_. 'orders`'); 
      if ($result) {
        foreach ($result as $val) {
          if ($val['id_order'] == $orderId || $val['reference'] == $current_order_refrence_number) {
            $matchingRows[] = $val;
          }
        }
      }
    return $matchingRows;
  }
  
}








