{*
* 2007-2023 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author    PrestaShop SA <contact@prestashop.com>
*  @copyright 2007-2023 PrestaShop SA
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*}

{extends file="helpers/form/form.tpl"}

{block name="input"}

 {if $input.type == "type_map_form_fields"}

  <div id="type_select" class="panel col-lg-12">
  
      <table class="table" id="pptable">
        <thead>
        <tr>
        	<th style="font-weight: bold;">Form Fields</th>
        	<th style="font-weight: bold;">Action</th>
    	</tr>
        </thead>

        <tbody>
        {foreach $fields_value.agsc_select_fields  as $key => $agsc_select_field}
          <tr>
              {if isset($agsc_select_field) AND $agsc_select_field}

            <td>
    				 <select name="agsc_select_fields[]" value="{$agsc_select_field|escape:'html':'UTF-8'}">
                        {foreach $fields_options as $field_option}
                            <option value="{$field_option.option|escape:'html':'UTF-8'}" {if $agsc_select_field eq $field_option.option} selected {/if}>{$field_option.name|escape:'html':'UTF-8'}</option>
                        {/foreach}
    				 </select>
    				</td>
              <td>
                  <a href="javascript:void(0)" onclick="removeCustomField(this)" >{l s='Remove' mod='addifygooglesheetsconnector'}</a>
              </td>
                {/if}
          </tr>
          {/foreach}

        </tbody>
      </table>
       <p><a href="javascript:void(0)" onclick="addCustomField()">{l s='Add Field' mod='addifygooglesheetsconnector'} </a>  </p>
    </div>
    <div class="clearfix"></div>
   
    <table id="SelectTr" style="display: none">

    </table>
    <div class="clearfix"></div>
 {else}
    {$smarty.block.parent}
 {/if}

{/block}

{block name="script"}

  function addCustomField(){
   
    var ourField = '<tr>'+
                '<td>'+
                 '<select name="agsc_select_fields[]" >'+
                    '<option value="id_order">ID ORDER</option>'+
                    '<option value="reference">REFERENCE</option>'+
                    '<option value="id_shop_group">ID SHOP GROUP</option>'+
                    '<option value="id_shop">ID SHOP</option>'+
                    '<option value="id_carrier">ID CARRIER</option>'+
                    '<option value="id_lang">ID LANGUAGE</option>'+
                    '<option value="id_customer">ID CUSTOMER</option>'+
                    '<option value="id_cart">ID CART</option>'+
                    '<option value="id_currency">ID CURRENCY</option>'+
                    '<option value="id_address_delivery">ID ADDRESS DELIVERY</option>'+
                    '<option value="id_address_invoice">ID ADDRESS INVOICE</option>'+
                    '<option value="current_state">CURRENT STATE</option>'+
                    '<option value="secure_key">SECURE KEY</option>'+
                    '<option value="payment">PAYMENT</option>'+
                    '<option value="conversion_rate">CONVERSION RATE</option>'+
                    '<option value="module">MODULE</option>'+
                    '<option value="recyclable">RECYLABLE</option>'+
                    '<option value="gift">GIFT</option>'+
                    '<option value="gift_message">GIFT MESSAGE</option>'+
                    '<option value="mobile_theme">MOBILE THEME</option>'+
                    '<option value="shipping_number">SHIPPING NUMBER</option>'+
                    '<option value="total_discounts">TOTAL DISCOUNTS</option>'+
                    '<option value="total_discounts_tax_incl">TOTAL DISCOUNTS TAX INCLUDE</option>'+
                    '<option value="total_discounts_tax_excl">TOTAL DISCOUNTS TAX EXCLUDE</option>'+
                    '<option value="total_paid">TOTAL PAID </option>'+
                    '<option value="total_paid_tax_incl">TOTAL PAID TAX INCLUDE</option>'+
                    '<option value="total_paid_tax_excl">TOTAL PAID TAX EXCLUDE</option>'+
                    '<option value="total_paid_real">TOTAL PAID REAL</option>'+
                    '<option value="total_products">TOTAL PRODDUCTS</option>'+
                    '<option value="total_products_wt">TOTAL PRODUCTS WT</option>'+
                    '<option value="total_shipping">TOTAL SHIPPING</option>'+
                    '<option value="total_shipping_tax_incl">TOTAL SHIPPINIG TAX INCLUDE</option>'+
                    '<option value="total_shipping_tax_excl">TOTAL SHIPPING TAX EXCLUDE</option>'+
                    '<option value="carrier_tax_rate">CARRIER TAX RATE</option>'+
                    '<option value="total_wrapping">TOTAL WRAPPING</option>'+
                    '<option value="total_wrapping_tax_incl">TOTAL WRAPPING TAX INCLUDE</option>'+
                    '<option value="total_wrapping_tax_excl">TOTAL WRAPPING TAX EXCLUDE</option>'+
                    '<option value="round_mode">ROUND MODE</option>'+
                    '<option value="round_type">ROUND TYPE</option>'+
                    '<option value="invoice_number">INVOICE NUMBER</option>'+
                    '<option value="delivery_number">DELIVERY NUMBER</option>'+
                    '<option value="invoice_date">INVOICE DATE</option>'+
                    '<option value="delivery_date">DELIVERY DATE</option>'+
                    '<option value="valid">VALID</option>'+
                    '<option value="date_add">DATE ADD</option>'+
                    '<option value="date_upd">DATE UPDATE</option>'+
                    '<option value="note">NOTE</option>'+
                    '</select>'+
                '</td>'+
                 '<td>'+
              '<a href="javascript:void(0)" onclick="removeCustomField(this)" >{l s='Remove' mod='addifygooglesheetsconnector'}</a>'+
                 '</td>'+  
                '</tr>';

      jQuery("#pptable > tbody:last").append(ourField);

      }

      function removeCustomField(el) {
      jQuery(el).parent().parent().remove();
      }

{/block}


{block name="input"}
{if $input.type == "personal_api_token"}

<div id="type_token">

  <div class="form-group">       
    <div class="col-lg-8">
     
      <input type="text" name="AGSC_API_TOKEN"  id="AGSC_API_TOKEN"  value="{$fields_value.AGSC_API_TOKEN|escape:'html':'UTF-8'}">
      <a href={$AGSC_authUrl_value|escape:'html':'UTF-8'} class="float-xs-left float-md-right text-light" target="_blank">{l s='Get Code' mod='addifygooglesheetsconnector'}</a>                    
    </div>
  </div>

</div>
<div class="clearfix"></div>
 
{else}
    {$smarty.block.parent}
 {/if}
{/block}







